var platform = new String(navigator.platform);
if(platform.search(/^Win/)) {
  if(platform.search(/^Mac/)) {
  var fileSeparator = "/";
  } else {
    var fileSeparator = ":";
  }
} else {
  var fileSeparator = "\\";
}


function initProgressListener() {
 urProgressListener= {
  init: function() {
  	this.inited = true;
  },
  onProgressChange: function urProgressChange(aWebProgress, aRequest, aCurSelfProgress, aMaxSelfProgress, aCurTotalProgress, aMaxTotalProgress) {},

  onStateChange: function urStateChange(aWebProgress, aRequest,
aStateFlags, aStatus) { },
  onLocationChange: function urLocationChange(aWebProgress, aRequest, aLocation) {
    if(aLocation && aLocation.spec) {
		debugDump("\n\nOnLocationChange:" + aLocation.spec + "\n");
		urDoPageChange(aLocation.spec);
	}
    /*if(aWebProgress && aWebProgress.DOMWindow) {
    //debugDump("\n\nOLC: \naLocation" + aLocation +  " \nDOMWindow " + aWebProgress.DOMWindow + "\n");
   // debugDump("uPL: isLoading " + aWebProgress.isLoadingDocument + "\n");
    
	domWindow = aWebProgess.DOMWindow;
    debugDump("window check " + (domWindow == domWindow.top) + "\n");
    if (domWindow == domWindow.top) {
      if(reviewStarted) {
          debugDump("Doing page change \n");
          //urDoPageChange(domWindow);
        }
	  }
	
      
      }*/
	debugDump("\nOnLocationChange end\n\n");
  },
  onStatusChange: function urStatusChange(aWebProgress, aRequest, aStatus, aMessage) {},

  onSecurityChange: function urSecurityChange(aWebProgress, aRequest, aState) {},

  QueryInterface: function urQueryInterface(aIID) {
    if (aIID.equals(Components.interfaces.nsIWebProgressListener) ||
        aIID.equals(Components.interfaces.nsISupportsWeakReference) ||
        aIID.equals(Components.interfaces.nsISupports))
      return this;
    throw Components.results.NS_NOINTERFACE;
  },
  
  onLinkIconAvailable : function urOnLinkIcon(aHref) {
    //debugDump("Link Icon avail " + aHref + "\n");
  }
};
}

function dumpXML(xml, len) {
  var serializer = new XMLSerializer;
   var output = serializer.serializeToString(xml);
  debugDump("\n\nXML CONTENT\n" + output + "\n\n");
}

function structCount(obj) {
  var counter = 0;
  for(i in obj) counter++;
  return counter;
}


function xmlEscape(myText) {
  myText = replaceAll(myText, "&", "&amp;");
  myText = replaceAll(myText, "<", "&lt;");
  myText = replaceAll(myText, ">", "&gt;");
 // debugDump("returning xml escaped " + myText + "\n");
  return myText;  
}

function xmlUnescape(myXML) {
  myText = replaceAll(myXML, "&lt;", "<");
  myText = replaceAll(myXML, "&gt;", ">");
  myText = replaceAll(myXML, "&amp;", "&");
  //debugDump("returning xml escaped " + myXML + "\n");
  return myXML;
}

function deleteAllChilds(node) {
  if(node) {
  for(var i=node.childNodes.length -1; i>=0;i=i-1) {
    node.removeChild(node.childNodes.item(i));
  }
  }
}

function listLast(list, separator) {
  //if(!separator) separator = blozomFileSeparator
  var arList = list.split(separator);
  return arList[arList.length - 1];
}

function listLen(mylist, separator) {
  var arList = mylist.split(separator);
  return arList.length;
}

function replaceAll(string,text,by) {
// Replaces text with by in string
    var strLength = string.length, txtLength = text.length;
    if ((strLength == 0) || (txtLength == 0)) return string;

    var i = string.indexOf(text);
    if ((!i) && (text != string.substring(0,txtLength))) return string;
    if (i == -1) return string;

    var newstr = string.substring(0,i) + by;

    if (i+txtLength < strLength)
        newstr += replaceAll(string.substring(i+txtLength,strLength),text,by);

    return newstr;
}

// Abbreviates url to 30 characters
function trimUrl(addy, maxlen) {
  if(!maxlen) maxlen = 40;
  addy = addy + '';
  addy = addy.replace("http://","");
  //debugDump("Trimming at length of " + addy + " len " + addy.length + "\n");
  if(addy.length > maxlen) {
    //debugDump("Trimmed url is " + addy + "\n");
    return addy.substr(0,maxlen);
  } else {
   // debugDump("Trimmed url is " + addy + "\n");
    return addy;
  }
}

function parseQueryString (theArgName) {
  sArgs = location.search.slice(1).split('&');
    r = '';
    for (var i = 0; i < sArgs.length; i++) {
        if (sArgs[i].slice(0,sArgs[i].indexOf('=')) == theArgName) {
            r = sArgs[i].slice(sArgs[i].indexOf('=')+1);
            break;
        }
    }
    return (r.length > 0 ? unescape(r) : '')
}

function debugDump(msg, mode) {
	dump(msg);
}